1.1
1.1
post /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
create Load Balancer Public NAT IP
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | ID Example : | string | None |
| body | body required | StaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | StaticNatCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"static_nat": {
"publicip_id": ""
}
}
Example HTTP response
Response 201
{
"static_nat": {
"account_id": "",
"action_type": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"owner_id": "",
"owner_name": "",
"owner_type": "",
"publicip_id": "",
"service_ip_port_id": "",
"state": "",
"subnet_id": "",
"type": "",
"vpc_id": ""
}
}